Download it now!
Bug 131416 - [LOCALHELP] Add BASIC syntax diagrams to Help
Summary: [LOCALHELP] Add BASIC syntax diagrams to Help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0....
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-03-19 10:37 UTC by Olivier Hallot
Modified: 2020-12-10 11:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2020-03-19 10:37:03 UTC
Following private mails, add BASIC Syntax diagram to Help contents. Example

https://wiki.documentfoundation.org/User:LibreOfficiant/Syntax
Comment 1 Alain Romedenne 2020-04-04 15:48:27 UTC
Documentation to produce diagrams added to the wiki:

https://wiki.documentfoundation.org/Documentation/SyntaxDiagrams
Comment 2 Commit Notification 2020-04-09 17:45:14 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/45cd0c0b21653c0f8947c77d7d93ca7a01a47cc2

tdf131416 Let/Set statements joint Syntax diagram
Comment 3 Commit Notification 2020-04-17 18:11:44 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/d1fdd2270aa5d6b5c3ac6b608a04b9e8eb3f3e6f

tdf#131416 Basic syntax diagrams reusable fragments
Comment 4 Commit Notification 2020-04-20 23:30:06 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/2bfb8b82791bbe87e26955faa8d3674ba8c48faf

tdf#131416 Type statement diagram
Comment 5 Commit Notification 2020-04-25 13:00:17 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/830489016d6bf75b148ca44c8f9a65851e8797e7

tdf#131416 Syntax Diagrams omissions and cleanup
Comment 6 Commit Notification 2020-04-30 16:08:52 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/21fd17892ae4827f66d16a67a9c30c1854c5079d

tdf#131416 Basic syntax diagrams
Comment 7 Commit Notification 2020-05-04 13:55:41 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/b2f0c674155a29174fca5acfa0c4036c3320fc6c

tdf#131416 Basic help pages
Comment 8 Commit Notification 2020-05-04 14:18:11 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/115422426e5c514b05d8f64afa27141bb9ef1ae0

tdf#131416 Basic Subroutines help pages
Comment 9 Commit Notification 2020-05-05 18:01:17 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6522d1a261301211b35885ee9709f64f9a587edb

tdf#131416 Syntax diagrams
Comment 10 Commit Notification 2020-05-11 00:00:34 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/099f7cea6b2677d9531c9d87ffc62b84c906b7f0

tdf#131416 Syntax diagrams
Comment 11 Commit Notification 2020-05-13 12:03:25 UTC
LibreOfficiant committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/2b17a70d537af67d209187b8d280852254a4f755

tdf#131416 syntax fragments tags cleanup
Comment 12 Commit Notification 2020-06-19 17:06:56 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/79b88ef30847c5f6aa72ed8a1695879eecb81113

tdf#131416 Basic statements syntax diagrams
Comment 13 Commit Notification 2020-06-26 17:38:27 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/7a9ad91c49811550018363ddda12b5d2e5563c42

tdf#131416 Enum Basic statement syntax diagram
Comment 14 Commit Notification 2020-06-29 11:08:11 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/help/commit/e241f31c81e09db2c7a52b23d52032358a801ed3

tdf#131416 Enum Basic statement syntax diagram
Comment 15 Commit Notification 2020-07-06 18:15:08 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/5e30d8fa70fb0f84dc42f6e716a55630ca4310fb

tdf#131416 Const syntax diagram
Comment 16 Commit Notification 2020-07-09 15:26:57 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/290bab91dab73ea80e595c3b284926c7e01b35d1

tdf#131416 How to read syntax diagrams
Comment 17 Commit Notification 2020-07-10 12:40:51 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/93b76db773b5d3622c42906c346f4c10ac3f53eb

tdf#131416 typo in basic syntax
Comment 18 Commit Notification 2020-07-31 22:49:41 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/8aadefbd1e3c1a5813791f6b25702563be0dbf4c

tdf#131416 Faulty links
Comment 19 Commit Notification 2020-08-03 13:36:34 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/f0fc51ab506034db25dd325a3b3b0e123af62e98

tdf131416 Basic syntax diagrams
Comment 20 Commit Notification 2020-08-04 17:38:23 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/7bb1ec81e997e270be39f5639073f5190dd3655e

tdf131416 Basic syntax diagrams
Comment 21 Commit Notification 2020-09-29 10:28:42 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/78dc9c1d059b48ad79620f0cc536466e701a042d

tdf#131416 Basic Syntax Diagrams for Defxxx statements
Comment 22 Commit Notification 2020-12-03 01:41:57 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/37d03e7d61caa560373268675ad87d91242bce05

tdf#131416 Basic Syntax Diagrams - the end
Comment 23 Commit Notification 2020-12-03 05:09:26 UTC
Alain Romedenne committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/help/commit/e017c71c1ca6e86fd65bab2af300fe149fcc01ab

tdf#131416 Basic Syntax Diagrams - the end
Comment 24 Alain Romedenne 2020-12-10 11:33:39 UTC
All Basic statements have been updated with a diagram.

Basic functions won't be updated as their syntax is conventional.